classification
Title: test_concurrent_futures: ProcessPoolSpawnExecutorTest.test_shutdown_race_issue12456() leaked dangling process on x86 Tiger 3.x
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: ned.deily, vstinner
Priority: normal Keywords: buildbot

Created on 2017-11-03 10:14 by vstinner, last changed 2018-05-26 22:27 by ned.deily. This issue is now closed.

Messages (4)
msg305468 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-03 10:14
http://buildbot.python.org/all/#/builders/30/builds/109/steps/4/logs/stdio

0:24:58 load avg: 2.01 [274/407/1] test_concurrent_futures failed (env changed) (279 sec)
(...)
test_shutdown_race_issue12456 (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 7.42s
Warning -- reap_children() reaped child process 3411
ok
(...)
Warning -- multiprocessing.process._dangling was modified by test_concurrent_futures
  Before: <_weakrefset.WeakSet object at 0x269fd54>
  After:  <_weakrefset.WeakSet object at 0x26a64cc>
msg305469 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-03 10:23
More context:

test_correct_timeout_exception_msg (test.test_concurrent_futures.ProcessPoolSpawnAsCompletedTests) ... 2.66s ok
test_duplicate_futures (test.test_concurrent_futures.ProcessPoolSpawnAsCompletedTests) ... 4.64s ok
test_free_reference_yielded_future (test.test_concurrent_futures.ProcessPoolSpawnAsCompletedTests) ... 2.69s ok
test_no_timeout (test.test_concurrent_futures.ProcessPoolSpawnAsCompletedTests) ... 2.80s ok
test_zero_timeout (test.test_concurrent_futures.ProcessPoolSpawnAsCompletedTests) ... 4.72s ok
test_free_reference (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 9.49s ok
test_killed_child (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 2.44s ok
test_map (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 2.71s ok
test_map_chunksize (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 2.69s ok
test_map_exception (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 2.65s ok
test_map_timeout (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 8.65s ok
test_max_workers_negative (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 2.64s ok
test_no_stale_references (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 2.66s ok
test_ressources_gced_in_workers (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 4.75s ok
test_shutdown_race_issue12456 (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 7.42s Warning -- reap_children() reaped child process 3411
ok
test_submit (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 2.97s ok
test_submit_keyword (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 3.03s ok
test_traceback (test.test_concurrent_futures.ProcessPoolSpawnExecutorTest) ... 2.92s ok
test_context_manager_shutdown (test.test_concurrent_futures.ProcessPoolSpawnShutdownTest) ... 2.95s ok
test_del_shutdown (test.test_concurrent_futures.ProcessPoolSpawnShutdownTest) ... 2.74s ok
test_hang_issue12364 (test.test_concurrent_futures.ProcessPoolSpawnShutdownTest) ... 3.65s ok
test_interpreter_shutdown (test.test_concurrent_futures.ProcessPoolSpawnShutdownTest) ... 7.00s ok
msg309649 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-01-07 22:56
Another recent failure on x86 Tiger 3.x:

http://buildbot.python.org/all/#/builders/30/builds/441

test_max_workers_negative (test.test_concurrent_futures.ProcessPoolSpawnProcessPoolExecutorTest) ... 2.63s ok
test_no_stale_references (test.test_concurrent_futures.ProcessPoolSpawnProcessPoolExecutorTest) ... 2.66s ok
test_ressources_gced_in_workers (test.test_concurrent_futures.ProcessPoolSpawnProcessPoolExecutorTest) ... 4.72s ok
test_shutdown_race_issue12456 (test.test_concurrent_futures.ProcessPoolSpawnProcessPoolExecutorTest) ... 3.37s Warning -- reap_children() reaped child process 1808
ok
test_submit (test.test_concurrent_futures.ProcessPoolSpawnProcessPoolExecutorTest) ... 2.65s ok
test_submit_keyword (test.test_concurrent_futures.ProcessPoolSpawnProcessPoolExecutorTest) ... 2.67s ok
test_traceback (test.test_concurrent_futures.ProcessPoolSpawnProcessPoolExecutorTest) ... 8.59s ok
test_context_manager_shutdown (test.test_concurrent_futures.ProcessPoolSpawnProcessPoolShutdownTest) ... 0.13s ok
test_del_shutdown (test.test_concurrent_futures.ProcessPoolSpawnProcessPoolShutdownTest) ... 0.11s ok
(...)
----------------------------------------------------------------------
Ran 150 tests in 262.265s
OK
Warning -- multiprocessing.process._dangling was modified by test_concurrent_futures
  Before: <_weakrefset.WeakSet object at 0x1cd1a44>
  After:  <_weakrefset.WeakSet object at 0x1ebc84c>
msg317774 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-05-26 22:27
Since the macOS Tiger buildbot has been retired, let's close this unless a similar failure pops up on another, more modern platform.
History
Date User Action Args
2018-05-26 22:27:34ned.deilysetstatus: open -> closed

nosy: + ned.deily
messages: + msg317774

resolution: out of date
stage: resolved
2018-01-07 22:56:59vstinnersetmessages: + msg309649
2017-11-03 10:23:55vstinnersetmessages: + msg305469
2017-11-03 10:14:38vstinnercreate